#ifndef __parse_h
#define __parse_h 1

char* stpblk(char *p);
char* getline(char *s, FILE *fp);
int boolarg(char **s_add, char *brk, char *prompt, int deflt);
int chrarg(char **s_add, char *brk, char *prompt, char *legals, int deflt);
double doublearg(char **s_add, char *brk, char *prompt, double mn, double mx, double deflt);
int hexarg(char **s_add, char *brk, char *prompt, int mn, int mx, int deflt);
int intarg(char **s_add, char *brk, char *prompt, int mn, int mx, int deflt);
char *strarg(char **s_add, char *brk, char *prompt, char *deflt, char *buffer);
int stablk(char *string, int prompt_flag);
char *nxtarg(char **s_add, char *brk);
void prstab(void);
int init_cmds(void);
int cmd_exec(int index, char* args);
//int cmd_help(int index);
char* strsave(char* s);

#endif
